(function() {
    "use strict";

    angular.module("weChatApp")
        .factory("UserService", ["$q", "Endpoints", UserService])
    ;

    function UserService($q, endpoints) {
        var service = this;

        service.getCurrentUser = function() {
            var deferred = $q.defer();

            endpoints.fetchCurrentUserId().then(function(userId) {
                endpoints.fetchUserById(userId).then(function(resp) {
                    deferred.resolve(resp.User[0]);
                });
            });

            return deferred.promise;
        };

        return service;
    }
}());